sigmlgen

## Class SiGMLDocToSync

- java.lang.Object
- - sigmlgen.SiGMLDocToSync

-     public class SiGMLDocToSync
      extends java.lang.Object

  A converter for a SiGML document: it generates a new copy of the document in which null `<hns_sign>` elements are inserted to produce signing that synchronises with `begin` attributes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SiGMLDocToSync.SiGMLConvertException` Exception class for SiGML HNS-to-Gestural conversion.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLDocToSync(java.lang.String sigmltext)` Constructs a new converter for the given SiGML `<sigml>` document text, using the given repertoire of standard converters.
    `SiGMLDocToSync(java.lang.String sigmltext, java.lang.String doceltype)` Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters.
    `SiGMLDocToSync(java.lang.String sigmltext, java.lang.String doceltype, boolean loghml)` Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters, using the given HML logging enabled flag setting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGesturalErrorCount()` Returns the error count for this converter's conversion process.
    `java.lang.String` | `getGesturalErrorText()` Returns the error text for this converter's conversion process.
    `java.lang.String` | `getGesturalSiGMLDoc()` Returns the "gestural" SiGML document text produced by this converter's conversion process.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLDocToSync

          public SiGMLDocToSync(java.lang.String sigmltext)
                         throws SiGMLDocToSync.SiGMLConvertException

      Constructs a new converter for the given SiGML `<sigml>` document text, using the given repertoire of standard converters.
      Throws:
        `SiGMLDocToSync.SiGMLConvertException`

    - #### SiGMLDocToSync

          public SiGMLDocToSync(java.lang.String sigmltext,
                                java.lang.String doceltype)
                         throws SiGMLDocToSync.SiGMLConvertException

      Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters.
      Throws:
        `SiGMLDocToSync.SiGMLConvertException`

    - #### SiGMLDocToSync

          public SiGMLDocToSync(java.lang.String sigmltext,
                                java.lang.String doceltype,
                                boolean loghml)
                         throws SiGMLDocToSync.SiGMLConvertException

      Constructs a new converter for the given SiGML document text, whose document element should be of the specified type (either `sigml` or `sigmlsection`, using the given repertoire of standard converters, using the given HML logging enabled flag setting.
      Throws:
        `SiGMLDocToSync.SiGMLConvertException`

  - ### Method Detail

    - #### getGesturalSiGMLDoc

          public java.lang.String getGesturalSiGMLDoc()

      Returns the "gestural" SiGML document text produced by this converter's conversion process.

    - #### getGesturalErrorCount

          public int getGesturalErrorCount()

      Returns the error count for this converter's conversion process.

    - #### getGesturalErrorText

          public java.lang.String getGesturalErrorText()

      Returns the error text for this converter's conversion process.